## plm 0.1-1

=== DESCRIPTION ===
Package: plm
Version: 0.1-1
Date: 2005-06-06
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0)
Suggests: Ecdat
Description: A set of estimators and tests for panel data
License: GPL version 2 or newer
URL: http://www.r-project.org
Packaged: Mon Jun 12 18:50:55 2006; yves

## plm 0.1-2

=== DESCRIPTION ===
Package: plm
Version: 0.1-2
Date: 2005-10-21
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats
Suggests: Ecdat
Description: A set of estimators and tests for panel data
License: GPL version 2 or newer
URL: http://www.r-project.org
Packaged: Mon Oct 30 13:56:23 2006; yves

## plm 0.2-1

=== DESCRIPTION ===
Package: plm
Version: 0.2-1
Date: 2007-03-13
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, Matrix
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL version 2 or newer
URL: http://www.r-project.org
Packaged: Wed Mar 14 12:00:02 2007; yves

## plm 0.2-2

=== DESCRIPTION ===
Package: plm
Version: 0.2-2
Date: 2007-05-14
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL version 2 or newer
URL: http://www.r-project.org
Packaged: Mon May 14 17:40:46 2007; yves

## plm 0.3-1

=== DESCRIPTION ===
Package: plm
Version: 0.3-1
Date: 2007-12-12
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL version 2 or newer
URL: http://www.r-project.org
Packaged: Wed Dec 12 16:34:50 2007; yves

## plm 0.3-2

=== DESCRIPTION ===
Package: plm
Version: 0.3-2
Date: 2008-02-29
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>=2)
URL: http://www.r-project.org
Packaged: Fri Feb 29 11:41:10 2008; yves

## plm 1.0-0

=== DESCRIPTION ===
Package: plm
Version: 1.0-0
Date: 2008-06-24
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>=2)
URL: http://www.r-project.org
Packaged: Wed Jun 25 15:50:32 2008; zeileis

## plm 1.0-1

=== DESCRIPTION ===
Package: plm
Version: 1.0-1
Date: 2008-12-16
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula
Suggests: Ecdat, lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>=2)
URL: http://www.r-project.org
Packaged: Sun Jan  4 14:53:20 2009; zeileis

## plm 1.1-0

=== DESCRIPTION ===
Package: plm
Version: 1.1-0
Date: 2009-02-24
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula, MASS, sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>=2)
URL: http://www.r-project.org
Packaged: Tue Feb 24 22:31:31 2009; yves

## plm 1.1-1

=== DESCRIPTION ===
Package: plm
Version: 1.1-1
Date: 2009-03-05
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula, MASS, sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>=2)
URL: http://www.r-project.org
Packaged: Sun Mar  8 14:27:51 2009; zeileis

## plm 1.1-2

=== DESCRIPTION ===
Package: plm
Version: 1.1-2
Date: 2009-04-28
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
        Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula, MASS, sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>= 2)
URL: http://www.r-project.org
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 4
Date/Publication: 2009-05-05 08:01:00
Packaged: 2009-05-05 03:24:56 UTC; rforge

## plm 1.1-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.1-2
-Date: 2009-04-28
+Version: 1.1-4
+Date: 2009-05-26
 Title: Linear models for panel data
 Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
         Millo <Giovanni_Millo@Generali.com>
@@ -12,6 +12,6 @@
 URL: http://www.r-project.org
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 4
-Date/Publication: 2009-05-05 08:01:00
-Packaged: 2009-05-05 03:24:56 UTC; rforge
+Repository/R-Forge/Revision: 7
+Date/Publication: 2009-06-07 13:08:33
+Packaged: 2009-06-03 03:39:07 UTC; rforge

## plm 1.2-0

=== DESCRIPTION ===
Package: plm
Version: 1.2-0
Date: 2009-09-11
Title: Linear models for panel data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
        Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula, MASS, sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data
License: GPL (>= 2)
URL: http://www.r-project.org
Packaged: 2009-09-23 08:58:53 UTC; yves
Repository: CRAN
Date/Publication: 2009-09-23 20:49:08

## plm 1.2-1

=== DESCRIPTION ===
Package: plm
Version: 1.2-1
Date: 2009-09-11
Title: Linear Models for Panel Data
Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
        Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula (>= 0.2-0), MASS,
        sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Packaged: 2009-09-29 09:16:51 UTC; zeileis
Repository: CRAN
Date/Publication: 2009-09-29 09:26:13

## plm 1.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.2-1
-Date: 2009-09-11
+Version: 1.2-3
+Date: 2010-01-26
 Title: Linear Models for Panel Data
 Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
         Millo <Giovanni_Millo@Generali.com>
@@ -11,6 +11,6 @@
 Description: A set of estimators and tests for panel data.
 License: GPL (>= 2)
 URL: http://www.R-project.org
-Packaged: 2009-09-29 09:16:51 UTC; zeileis
+Packaged: 2010-01-26 11:59:43 UTC; yves
 Repository: CRAN
-Date/Publication: 2009-09-29 09:26:13
+Date/Publication: 2010-01-26 13:46:20

## plm 1.2-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.2-3
-Date: 2010-01-26
+Version: 1.2-4
+Date: 2010-03-23
 Title: Linear Models for Panel Data
 Author: Yves Croissant <yves.croissant@let.ish-lyon.cnrs.fr>, Giovanni
         Millo <Giovanni_Millo@Generali.com>
@@ -11,6 +11,8 @@
 Description: A set of estimators and tests for panel data.
 License: GPL (>= 2)
 URL: http://www.R-project.org
-Packaged: 2010-01-26 11:59:43 UTC; yves
 Repository: CRAN
-Date/Publication: 2010-01-26 13:46:20
+Repository/R-Forge/Project: plm
+Repository/R-Forge/Revision: 55
+Date/Publication: 2010-04-16 09:51:57
+Packaged: 2010-04-14 21:03:34 UTC; rforge

## plm 1.2-5

=== DESCRIPTION ===
Package: plm
Version: 1.2-5
Date: 2010-07-06
Title: Linear Models for Panel Data
Author: Yves Croissant <yves.croissant@univ-reunion.fr, Giovanni Millo
        <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Depends: R (>= 1.8.0), stats, kinship, nlme, Formula (>= 0.2-0), MASS,
        sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 59
Date/Publication: 2010-07-24 20:42:11
Packaged: 2010-07-13 20:53:13 UTC; rforge

## plm 1.2-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.2-5
-Date: 2010-07-06
+Version: 1.2-6
+Date: 2010-11-20
 Title: Linear Models for Panel Data
 Author: Yves Croissant <yves.croissant@univ-reunion.fr, Giovanni Millo
         <Giovanni_Millo@Generali.com>
@@ -13,6 +13,6 @@
 URL: http://www.R-project.org
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 59
-Date/Publication: 2010-07-24 20:42:11
-Packaged: 2010-07-13 20:53:13 UTC; rforge
+Repository/R-Forge/Revision: 64
+Date/Publication: 2010-11-22 10:40:46
+Packaged: 2010-11-21 22:08:23 UTC; rforge

## plm 1.2-7

=== DESCRIPTION ===
Package: plm
Version: 1.2-7
Date: 2011-02-03
Title: Linear Models for Panel Data
Author: Yves Croissant <yves.croissant@univ-reunion.fr>, Giovanni Millo
        <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Depends: R (>= 2.10), stats, bdsmatrix, nlme, Formula (>= 0.2-0), MASS,
        sandwich
Suggests: lmtest, car
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 71
Date/Publication: 2011-02-06 09:49:19
Packaged: 2011-02-03 22:00:24 UTC; rforge

## plm 1.2-8

=== DESCRIPTION ===
Package: plm
Version: 1.2-8
Date: 2011-12-23
Title: Linear Models for Panel Data
Author: Yves Croissant <yves.croissant@univ-reunion.fr>, Giovanni Millo <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Depends: R (>= 2.10), stats, bdsmatrix, nlme, Formula (>= 0.2-0), MASS,
        sandwich
Suggests: lmtest, car, AER
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Packaged: 2011-12-23 17:58:40 UTC; yves
Repository: CRAN
Date/Publication: 2011-12-24 12:21:32

## plm 1.2-10

=== DESCRIPTION ===
Package: plm
Version: 1.2-10
Date: 2012-04-06
Title: Linear Models for Panel Data
Author: Yves Croissant <yves.croissant@univ-reunion.fr>, Giovanni Millo
        <Giovanni_Millo@Generali.com>
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Depends: R (>= 2.10), stats, bdsmatrix, nlme, Formula (>= 0.2-0), MASS,
        sandwich, zoo
Suggests: lattice, lmtest, car, AER
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 82
Packaged: 2012-04-12 16:23:37 UTC; rforge
Date/Publication: 2012-05-05 06:18:27

## plm 1.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.2-10
-Date: 2012-04-06
+Version: 1.3-1
+Date: 2012-12-07
 Title: Linear Models for Panel Data
 Author: Yves Croissant <yves.croissant@univ-reunion.fr>, Giovanni Millo
         <Giovanni_Millo@Generali.com>
@@ -13,6 +13,7 @@
 URL: http://www.R-project.org
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 82
-Packaged: 2012-04-12 16:23:37 UTC; rforge
-Date/Publication: 2012-05-05 06:18:27
+Repository/R-Forge/Revision: 90
+Repository/R-Forge/DateTimeStamp: 2012-12-12 08:32:32
+Date/Publication: 2012-12-13 07:44:56
+Packaged: 2012-12-12 11:15:56 UTC; rforge

## plm 1.4-0

=== DESCRIPTION ===
Package: plm
Version: 1.4-0
Date: 2013-12-24
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves", family = "Croissant", role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni", family = "Millo", role = "aut", email = "Giovanni_Millo@Generali.com"),
	     person(given = "Arne", family = "Henningsen", role = "ctb", email = "arne.henningsen@googlemail.com"),
	     person(given = "Ott", family = "Toomet", role = "ctb", email = "otoomet@gmail.com"),
	     person(given = "Christian", family = "Kleiber", role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
	     person(given = "Achim", family = "Zeileis", role = "ctb", email = "Achim.Zeileis@R-project.org"))
Depends: R (>= 2.10), Formula (>= 0.2-0), stats
Imports: MASS, bdsmatrix, zoo, nlme, sandwich
Suggests: lattice, car, AER, lmtest
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Arne Henningsen [ctb],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 102
Repository/R-Forge/DateTimeStamp: 2013-12-28 08:20:15
Date/Publication: 2013-12-28 16:01:54
Packaged: 2013-12-28 11:15:51 UTC; rforge
NeedsCompilation: no

## plm 1.5-12

=== DESCRIPTION ===
Package: plm
Version: 1.5-12
Date: 2015-12-14
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves", family = "Croissant", role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni", family = "Millo", role = "aut", email = "Giovanni.Millo@Generali.com"),
	     person(given = "Ott", family = "Toomet", role = "ctb", email = "otoomet@gmail.com"),
	     person(given = "Christian", family = "Kleiber", role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
	     person(given = "Achim", family = "Zeileis", role = "ctb", email = "Achim.Zeileis@R-project.org"),
	     person(given = "Arne", family = "Henningsen", role = "ctb", email = "arne.henningsen@googlemail.com"),
	     person(given = "Liviu", family = "Andronic", role = "ctb", email = "landronimirc@gmail.com"),
	     person(given = "Nina", family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"),
	     person(given = "Kevin", family = "Tappe", role = "ctb", email = "kevin.tappe@bwi.uni-stuttgart.de"))
Depends: R (>= 2.10), Formula (>= 0.2-0), stats
Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, car, lmtest
Suggests: AER
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: http://www.R-project.org
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb],
  Kevin Tappe [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 170
Repository/R-Forge/DateTimeStamp: 2015-12-14 20:49:58
Date/Publication: 2015-12-15 01:10:50
NeedsCompilation: no
Packaged: 2015-12-14 21:05:55 UTC; rforge

## plm 1.6-4

=== DESCRIPTION ===
Package: plm
Version: 1.6-4
Date: 2016-11-29
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
      	     person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
      	     person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
      	     person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
      	     person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
      	     person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
      	     person(given = "Nina",      family = "Sch<c3><b6>nfelder",  role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"),
      	     person(given = "Kevin",     family = "Tappe",        role = "ctb", email = "kevin.tappe@bwi.uni-stuttgart.de"))
Depends: R (>= 2.12.0), Formula (>= 0.2-0), stats
Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, car, lmtest
Suggests: AER
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: https://cran.r-project.org/package=plm,
        https://r-forge.r-project.org/projects/plm/
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Sch<c3><b6>nfelder [ctb],
  Kevin Tappe [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 359
Repository/R-Forge/DateTimeStamp: 2016-11-29 16:45:11
Date/Publication: 2016-11-30 02:12:32
NeedsCompilation: no
Packaged: 2016-11-29 17:27:40 UTC; rforge

## plm 1.6-5

=== DESCRIPTION ===
Package: plm
Version: 1.6-5
Date: 2016-12-02
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
             person(given = "Kevin",     family = "Tappe",        role = "aut", email = "kevin.tappe@bwi.uni-stuttgart.de"),
      	     person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
      	     person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
      	     person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
      	     person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
      	     person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
      	     person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
Depends: R (>= 2.12.0), Formula (>= 0.2-0), stats
Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, car, lmtest
Suggests: AER
Description: A set of estimators and tests for panel data.
License: GPL (>= 2)
URL: https://cran.r-project.org/package=plm,
        https://r-forge.r-project.org/projects/plm/
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Kevin Tappe [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 371
Repository/R-Forge/DateTimeStamp: 2016-12-02 10:18:21
Date/Publication: 2016-12-02 23:31:22
NeedsCompilation: no
Packaged: 2016-12-02 13:10:45 UTC; rforge

## plm 1.6-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.6-5
-Date: 2016-12-02
+Version: 1.6-6
+Date: 2017-10-31
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -11,10 +11,11 @@
       	     person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
       	     person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
       	     person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
-Depends: R (>= 2.12.0), Formula (>= 0.2-0), stats
-Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, car, lmtest
-Suggests: AER
-Description: A set of estimators and tests for panel data.
+Depends: R (>= 3.1.0), Formula (>= 0.2-0), stats
+Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik
+Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
+        statmod, Ecdat, pder, stargazer, texreg, foreign
+Description: A set of estimators and tests for panel data econometrics.
 License: GPL (>= 2)
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
@@ -30,8 +31,8 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 371
-Repository/R-Forge/DateTimeStamp: 2016-12-02 10:18:21
-Date/Publication: 2016-12-02 23:31:22
+Repository/R-Forge/Revision: 644
+Repository/R-Forge/DateTimeStamp: 2017-11-07 03:41:50
+Date/Publication: 2017-11-07 17:22:35 UTC
 NeedsCompilation: no
-Packaged: 2016-12-02 13:10:45 UTC; rforge
+Packaged: 2017-11-07 04:25:28 UTC; rforge

## plm 1.7-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.6-6
-Date: 2017-10-31
+Version: 1.7-0
+Date: 2019-01-03
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -14,9 +14,11 @@
 Depends: R (>= 3.1.0), Formula (>= 0.2-0), stats
 Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik
 Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
-        statmod, Ecdat, pder, stargazer, texreg, foreign
+        statmod, Ecdat, pder, stargazer, texreg, foreign, knitr,
+        rmarkdown, bookdown
 Description: A set of estimators and tests for panel data econometrics.
 License: GPL (>= 2)
+VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
 Author: Yves Croissant [aut, cre],
@@ -31,8 +33,8 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 644
-Repository/R-Forge/DateTimeStamp: 2017-11-07 03:41:50
-Date/Publication: 2017-11-07 17:22:35 UTC
+Repository/R-Forge/Revision: 834
+Repository/R-Forge/DateTimeStamp: 2019-01-03 15:13:35
+Date/Publication: 2019-01-04 13:50:03 UTC
 NeedsCompilation: no
-Packaged: 2017-11-07 04:25:28 UTC; rforge
+Packaged: 2019-01-03 15:32:32 UTC; rforge

## plm 2.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 1.7-0
-Date: 2019-01-03
+Version: 2.0-0
+Date: 2019-05-13
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -11,16 +11,22 @@
       	     person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
       	     person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
       	     person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
-Depends: R (>= 3.1.0), Formula (>= 0.2-0), stats
-Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik
+Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
+        Rdpack, Formula, stats
 Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
         statmod, Ecdat, pder, stargazer, texreg, foreign, knitr,
         rmarkdown, bookdown
-Description: A set of estimators and tests for panel data econometrics.
+Description: A set of estimators and tests for panel data
+             econometrics, as described in Baltagi (2013) Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
+	     Hsiao (2014) Analysis of Panel Data  <doi:10.1017/CBO9781139839327> and
+	     Croissant and Millo (2018), Panel Data Econometrics with R, ISBN:978-1-118-94918-4.
 License: GPL (>= 2)
 VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
+RoxygenNote: 6.0.1
+RdMacros: Rdpack
+Encoding: UTF-8
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -33,8 +39,9 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 834
-Repository/R-Forge/DateTimeStamp: 2019-01-03 15:13:35
-Date/Publication: 2019-01-04 13:50:03 UTC
+Repository/R-Forge/Revision: 864
+Repository/R-Forge/DateTimeStamp: 2019-05-14 06:21:35
+Date/Publication: 2019-05-14 11:40:03 UTC
 NeedsCompilation: no
-Packaged: 2019-01-03 15:32:32 UTC; rforge
+Packaged: 2019-05-14 06:38:06 UTC; rforge
+Depends: R (>= 2.10)

## plm 2.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.0-0
-Date: 2019-05-13
+Version: 2.0-1
+Date: 2019-05-21
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -11,6 +11,7 @@
       	     person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
       	     person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
       	     person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
+Depends: R (>= 3.1.0)
 Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
         Rdpack, Formula, stats
 Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
@@ -24,7 +25,7 @@
 VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 RdMacros: Rdpack
 Encoding: UTF-8
 Author: Yves Croissant [aut, cre],
@@ -39,9 +40,8 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 864
-Repository/R-Forge/DateTimeStamp: 2019-05-14 06:21:35
-Date/Publication: 2019-05-14 11:40:03 UTC
+Repository/R-Forge/Revision: 876
+Repository/R-Forge/DateTimeStamp: 2019-05-22 12:03:35
+Date/Publication: 2019-05-23 05:00:13 UTC
 NeedsCompilation: no
-Packaged: 2019-05-14 06:38:06 UTC; rforge
-Depends: R (>= 2.10)
+Packaged: 2019-05-22 12:18:11 UTC; rforge

## plm 2.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.0-1
-Date: 2019-05-21
+Version: 2.0-2
+Date: 2019-06-21
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -28,6 +28,8 @@
 RoxygenNote: 6.1.1
 RdMacros: Rdpack
 Encoding: UTF-8
+NeedsCompilation: no
+Packaged: 2019-06-21 09:54:07 UTC; yves
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -39,9 +41,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 876
-Repository/R-Forge/DateTimeStamp: 2019-05-22 12:03:35
-Date/Publication: 2019-05-23 05:00:13 UTC
-NeedsCompilation: no
-Packaged: 2019-05-22 12:18:11 UTC; rforge
+Date/Publication: 2019-06-21 16:40:03 UTC

## plm 2.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.0-2
-Date: 2019-06-21
+Version: 2.1-0
+Date: 2019-07-22
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -29,7 +29,7 @@
 RdMacros: Rdpack
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-06-21 09:54:07 UTC; yves
+Packaged: 2019-07-23 17:48:21 UTC; yves
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -41,4 +41,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Date/Publication: 2019-06-21 16:40:03 UTC
+Date/Publication: 2019-07-23 23:10:02 UTC

## plm 2.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.1-0
-Date: 2019-07-22
+Version: 2.2-0
+Date: 2019-09-07
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -28,8 +28,6 @@
 RoxygenNote: 6.1.1
 RdMacros: Rdpack
 Encoding: UTF-8
-NeedsCompilation: no
-Packaged: 2019-07-23 17:48:21 UTC; yves
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -41,4 +39,9 @@
   Nina Schoenfelder [ctb]
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Date/Publication: 2019-07-23 23:10:02 UTC
+Repository/R-Forge/Project: plm
+Repository/R-Forge/Revision: 892
+Repository/R-Forge/DateTimeStamp: 2019-09-06 04:42:37
+Date/Publication: 2019-09-07 07:00:06 UTC
+NeedsCompilation: no
+Packaged: 2019-09-06 05:15:26 UTC; rforge

## plm 2.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: plm
-Version: 2.2-0
+Version: 2.2-1
 Date: 2019-09-07
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
@@ -37,11 +37,15 @@
   Arne Henningsen [ctb],
   Liviu Andronic [ctb],
   Nina Schoenfelder [ctb]
-Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
+Maintainer: ORPHANED
 Repository: CRAN
 Repository/R-Forge/Project: plm
 Repository/R-Forge/Revision: 892
 Repository/R-Forge/DateTimeStamp: 2019-09-06 04:42:37
-Date/Publication: 2019-09-07 07:00:06 UTC
+Date/Publication: 2020-02-16 18:29:07 UTC
 NeedsCompilation: no
-Packaged: 2019-09-06 05:15:26 UTC; rforge
+Packaged: 2020-02-16 16:53:44 UTC; ripley
+X-CRAN-Original-Maintainer: Yves Croissant
+        <yves.croissant@univ-reunion.fr>
+X-CRAN-Comment: Orphaned and corrected on 2020-02-16 as there was no
+        response to repeated requests.

## plm 2.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.2-1
-Date: 2019-09-07
+Version: 2.2-3
+Date: 2020-02-25
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -15,7 +15,7 @@
 Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
         Rdpack, Formula, stats
 Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
-        statmod, Ecdat, pder, stargazer, texreg, foreign, knitr,
+        statmod, urca, Ecdat, pder, stargazer, texreg, foreign, knitr,
         rmarkdown, bookdown
 Description: A set of estimators and tests for panel data
              econometrics, as described in Baltagi (2013) Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
@@ -25,9 +25,11 @@
 VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 RdMacros: Rdpack
 Encoding: UTF-8
+NeedsCompilation: no
+Packaged: 2020-02-28 11:33:28 UTC; yves
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -37,15 +39,6 @@
   Arne Henningsen [ctb],
   Liviu Andronic [ctb],
   Nina Schoenfelder [ctb]
-Maintainer: ORPHANED
+Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 892
-Repository/R-Forge/DateTimeStamp: 2019-09-06 04:42:37
-Date/Publication: 2020-02-16 18:29:07 UTC
-NeedsCompilation: no
-Packaged: 2020-02-16 16:53:44 UTC; ripley
-X-CRAN-Original-Maintainer: Yves Croissant
-        <yves.croissant@univ-reunion.fr>
-X-CRAN-Comment: Orphaned and corrected on 2020-02-16 as there was no
-        response to repeated requests.
+Date/Publication: 2020-02-28 22:50:02 UTC

## plm 2.2-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.2-3
-Date: 2020-02-25
+Version: 2.2-4
+Date: 2020-08-28
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -14,9 +14,9 @@
 Depends: R (>= 3.1.0)
 Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
         Rdpack, Formula, stats
-Suggests: AER, car, pcse, clusterSEs, clubSandwich, pglm, spdep, splm,
-        statmod, urca, Ecdat, pder, stargazer, texreg, foreign, knitr,
-        rmarkdown, bookdown
+Suggests: AER, car, pcse, clusterSEs, pglm, spdep, splm, statmod, urca,
+        Ecdat, pder, stargazer, texreg, foreign, knitr, rmarkdown,
+        bookdown
 Description: A set of estimators and tests for panel data
              econometrics, as described in Baltagi (2013) Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
 	     Hsiao (2014) Analysis of Panel Data  <doi:10.1017/CBO9781139839327> and
@@ -25,11 +25,9 @@
 VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 RdMacros: Rdpack
 Encoding: UTF-8
-NeedsCompilation: no
-Packaged: 2020-02-28 11:33:28 UTC; yves
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -41,4 +39,9 @@
   Nina Schoenfelder [ctb]
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Date/Publication: 2020-02-28 22:50:02 UTC
+Repository/R-Forge/Project: plm
+Repository/R-Forge/Revision: 956
+Repository/R-Forge/DateTimeStamp: 2020-08-28 08:15:20
+Date/Publication: 2020-08-31 06:20:03 UTC
+NeedsCompilation: no
+Packaged: 2020-08-28 08:30:46 UTC; rforge

## plm 2.2-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.2-4
-Date: 2020-08-28
+Version: 2.2-5
+Date: 2020-10-08
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -40,8 +40,8 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 956
-Repository/R-Forge/DateTimeStamp: 2020-08-28 08:15:20
-Date/Publication: 2020-08-31 06:20:03 UTC
+Repository/R-Forge/Revision: 963
+Repository/R-Forge/DateTimeStamp: 2020-10-12 14:59:35
+Date/Publication: 2020-10-13 13:00:06 UTC
 NeedsCompilation: no
-Packaged: 2020-08-28 08:30:46 UTC; rforge
+Packaged: 2020-10-12 15:11:49 UTC; rforge

## plm 2.3%2Brepack

=== debian/changelog ===
plm (2.3+repack-1) unstable; urgency=low

  * New upstream release.
  * add missing build-deps on libgettext-ant-tasks-java, imagemagick.
    Thanks to Andreas Moog for noticing (closes: #730312).

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 Nov 2013 16:51:07 +0100

plm (2.2.7+repack-2) unstable; urgency=low

  * Change priority to extra since we depend on an extra package.
    Cf. policy, section 2.5.
  * Add a missing Depends: java-wrappers

 -- Martin Quinson <mquinson@debian.org>  Sun, 06 Oct 2013 13:38:06 +0200

plm (2.2.7+repack-1) unstable; urgency=low

  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Tue, 01 Oct 2013 16:35:18 +0200

plm (2.2.3+repack-1) unstable; urgency=low

  * New upstream release.
    Insane amount of bug fixes and polishing after extensive tests
    of this year's students and some colleagues. This "report
    feedback" feature is a beauty to crowdsource the polishing.
  * Refresh our patches.
  * Add build-dep on libhttpmime-java, that got added upstream.

 -- Martin Quinson <mquinson@debian.org>  Thu, 12 Sep 2013 22:26:05 +0200

plm (2.2.1+repack-1) unstable; urgency=low

  * New upstream release.
    - add a creative mode that is not checked against the answer
    - many bug fixes
  * Depend on openjdk7 as openjdk6 will soon be removed (Closes: #722149)
  * Correctly specify that we need openjdk7 to the java wappers
    (Closes: #722128)
  * d/control: Add Vcs-* fields
  * d/plm.sh: manually load commons-logging as some people needs it to
    not get a ClassNotFound exception when using httpclient

 -- Martin Quinson <mquinson@debian.org>  Sun, 08 Sep 2013 23:29:17 +0200

plm (2.2+repack-1) unstable; urgency=low

  * New upstream release: 
    - the software was renamed from JLM to PLM.
    - Scala can now be used to solve the exercises
    - Two new lessons: recreative applications of sorting,
    - New lesson: Turtle Art (draw LOGO figures)
  * Update our packaging to the new upstream release
    - drop d/p/review_french: integrated upstream
    - drop d/p/no-xmpp: upstream dropped XMPP too
    - d/p/no-scala: We need scala 2.10 that is not in debian yet
    - update the other patches

 -- Martin Quinson <mquinson@debian.org>  Wed, 04 Sep 2013 15:59:51 +0200

jlm (2.0+repack-1) unstable; urgency=low

  * New upstream release. 
    - Refresh our patches.
  * d/p/system-ant-tasks: use system jarfiles for ant tasks definitions
  * d/p/review-french: integrate a post-release upstream patch that
    greatly improve the french translations
  * d/watch: Forgot this file previously.
  * d/rules::get-orig-source: prune our dependencies.jar from archive.
    We don't use them in Debian anyway, so let's save space.

 -- Martin Quinson <mquinson@debian.org>  Mon, 12 Aug 2013 21:30:09 +0200

jlm (1.98-1) unstable; urgency=low

  * Initial release. (Closes: #622324)

 -- Martin Quinson <mquinson@debian.org>  Fri, 14 Jun 2013 00:32:27 +0200

## plm 2.3+repack

=== debian/changelog ===
plm (2.3+repack-4) unstable; urgency=medium

  * Use json-simple.jar and not json_simple.jar (Closes: #747792)

 -- Martin Quinson <mquinson@debian.org>  Sun, 11 May 2014 21:02:10 +0200

plm (2.3+repack-3) unstable; urgency=medium

  * d/control: bump standards-version to 3.9.5 (no change needed)
  * d/control: Manually add a missing dependency on libhttpmime-java.
    The automagic seems to miss that one, and I don't want to dig into
    jh's internals today. Thanks to Nicolas Noury for noticing.
  * d/plm.sh: Update our wrapper to also load the jython-related jars.

 -- Martin Quinson <mquinson@debian.org>  Fri, 18 Apr 2014 17:14:52 +0200

=== debian/control ===
Source: plm
Section: java
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
Build-Depends-Indep: openjdk-7-jdk, libmiglayout-java, libjsyntaxpane-java,
  junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, 
  jython, libgettext-ant-tasks-java, imagemagick
#, scala
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/pkg-java/plm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
Homepage: http://www.loria.fr/~quinson/Teaching/PLM/

Package: plm
Architecture: all
Depends: java-wrappers, ${java:Depends}, ${misc:Depends},
  libhttpmime-java,
Recommends: ${java:Recommends}
Description: Programming exerciser in Java, Python, Scala and others
 The Programmer's Learning Machine (PLM) is a free cross-platform programming
 exerciser. It lets you explore various concepts of programming through 
 over 160 interactive exercises, that you can solve in either Java,
 Python or Scala.
 .
 The PLM interface and content is througfully translated to English
 and French; we hope that other translations will be contributed in
 the future. 
 .
 The following concepts are included in this package:
 .
  - Welcome: teach basics of programming to absolute beginners
  - Maze: classical maze escaping algorithms for intermediate
  - Sort: classical sorting algorithms for intermediate. One
    introduction lesson presents the basics of the sorting algorithms
    while two additional lessons apply them in more recreative settings.
  - Recursion: classical logo algorithms for intermediate
  - Turtle Art: explore a few classical LOGO figures
  - LightBot: little programmer's brain teaser for intermediate and advanced
 .
 Other lessons are planned to explore new concepts, such as the
 backtracking, dynamic programming, object-oriented programming or the
 standard libraries of python and Java. Other programming languages
 (such as Ruby or JavaScript) may be added in the future.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR    := $(CURDIR)/debian/plm
ICONS      := $(DESTDIR)/usr/share/icons/hicolor


export JAVA_HOME=/usr/lib/jvm/default-java
depspath= /usr/share/java/miglayout.jar:/usr/share/java/jsyntaxpane.jar:/usr/share/java/gettext-commons.jar:/usr/share/java/junit4.jar
scalapath=.
#scalapath=/usr/share/java/scala-compiler.jar:/usr/share/java/scala-library.jar
langpath=/usr/share/java/json-simple.jar:/usr/share/java/jython.jar:.
httppath=/usr/share/java/httpclient.jar:/usr/share/java/httpcore.jar:/usr/share/java/commons-logging.jar:/usr/share/java/httpmime.jar
export CLASSPATH=$(depspath):$(langpath):$(httppath):$(scalapath):.

%:
	dh  $@  --with javahelper --with quilt


override_jh_build:
	# Copy our resource within the wannabe jar file
	mkdir -p debian/_jh_build.plm
	cp -r lib/resources debian/_jh_build.plm
	
	# Copy our image files (but prune the svg files)
	cp -r img debian/_jh_build.plm
	find debian/_jh_build.plm -name "*.svg" -print0 | xargs -0 rm
	
	# Copy other mandated files in place
	jarctn=`find src -name "*.py"; \
		find src -name "*.java"; \
		find src -name "*.scala"; \
	        find src -name "*.html"; \
	        find src -name "*.png"; \
		find src -name  "*.map"`; \
	for file in $$jarctn ; do\
	   whereto=`echo $$file|sed 's|^src/||'` ; \
	   install -D -m 644 $$file debian/_jh_build.plm/$$whereto; \
	done
	
	# Generate the translation files
	ant i18n-generate-jar
	cd debian/_jh_build.plm && jar xf ../../lib/plm-messages.jar org
	
	# Finally, ask the scripts to compile our stuff, too
	jh_build --no-javadoc

override_dh_auto_build:
	ant -f build.xml clean
	
override_dh_auto_install:
	dh_install
	
	# Icons
	for i in 16 22 48; do \
	    mkdir -p $(ICONS)/$${i}x$${i}/apps; \
	    convert img/logo.png -colorspace RGB \
	            -resize $${i}x$${i} -colorspace sRGB \
	            $(ICONS)/$${i}x$${i}/apps/plm.png; \
	done
	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
	convert img/logo.png -colorspace RGB \
	        -resize 32x32 -colorspace sRGB \
		$(DESTDIR)/usr/share/pixmaps/plm.xpm
		
	# desktop
	install -D -m 644 debian/plm.desktop $(DESTDIR)/usr/share/applications/plm.desktop
		
	# wrapper script 
	install -d -m 755 $(DESTDIR)/usr/bin
	cp debian/plm.sh $(DESTDIR)/usr/bin/plm
	chmod 755 $(DESTDIR)/usr/bin/plm

version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
tmpdir:=$(shell mktemp -d)
wrkdir:=$(shell pwd)

get-orig-source:
	rm -f ${wrkdir}/../plm_${version}+repack.orig.tar.gz
	rm -f ${wrkdir}/../plm_${version}.orig.tar.gz 
	uscan --verbose --force-download && cp ../${version}.tar.gz ${tmpdir} || true
	set +ex; cd ${tmpdir} && \
	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
	    cd PLM-${version} && find lib -name '*.jar' | xargs rm && \
	    tar cf ${wrkdir}/../plm_${version}+repack.orig.tar * ; \
	    gzip --best ${wrkdir}/../plm_${version}+repack.orig.tar
	rm -rf ${tmpdir}
	@echo "successfully created new tarball: ${wrkdir}/../plm_${version}+repack.orig.tar.gz"
